<?php
	session_start();
	ini_set('session.gc_maxlifetime', 99999999); //设置时间 永不过期
	
	require_once("db/db.php");	
	require_once("common/common.php");
	
	$strSelChainNo=trim($_REQUEST["chid"]);
	$strCFListNo=trim($_REQUEST["cflistno"]);
	$strCFBListNo=trim($_REQUEST["cfblistno"]);
		
	//设置统一语言格式
	header("Content-type: text/html; charset=gb2312"); 
	
	$strRetID="0";
	
	if(strlen($strSelChainNo)>0)
	{
		$sql=sprintf("Select BListNo,Room_No,UsedFlag,convert(varchar(10),Meal_Date,120)AS Meal_Date,convert(varchar(10),GetDate(),120)AS Now_Date
					,convert(varchar(16),UsedTime,120)AS UsedTime From TR_Room_BreakFast_List WHERE ListNo=%s",$strCFListNo);
		$result = querySql($sql);		
		if($row = fetch_array($result))
		{
			$lngBListNo=$row['BListNo'];	
			$intUsedFlag=$row['UsedFlag'];
			$strUsedTime=$row['UsedTime'];
			$datMealDay=$row['Meal_Date'];
			$datNowDay=$row['Now_Date'];
			
			//判断住房流水号的合法性
			if ($strCFBListNo<>$lngBListNo)
			{
				//如果住房流水号不一样
				$strRetID="0";
			}
			else
			{
				//如果一样再判断是否使用过
				if($intUsedFlag>0)
				{
					$strRetID="2".$strUsedTime;	//已经使用过
				}
				else
				{
					//判断是否是当天的
					if($datMealDay==$datNowDay)
					{
						//没有使用过,再判断房间是否在住
						freeResult($result);
						
						$sql=sprintf("SELECT Room_No,Room_BillState FROM TR_Order_Room_List WHERE ListNo=%s",$lngBListNo);
						$result = querySql($sql);		
						if($row = fetch_array($result))
						{
							$intBillState=$row['Room_BillState'];
							if($intBillState==2)
							{
								//在住可以继续
								$strRetID="1";
							}
							else
							{
								//只有在住的才可以
								$strRetID="5";	
							}
						}
					}
					else
					{	
						//不是当天的
						$strRetID="3";	//不是当天的
					}
				}
			}
			
		}
		freeResult($result);
	}
	
	closeDb();
	echo 'BEG:'.$strRetID;	//1=OK,0=无效,2=已经使用过,3=不是当天的,4=房间不是在住状态
	
?>


